Subject: RE: bug#3564: 23.0.94; compose-region doc string

From: "Drew Adams" <[email-masked]>
Date: Mon, 15 Jun 2009 06:14:37 -0700

That helps a lot; thanks.

See inline for English suggestions. But I'm ignorant of this area, so hopefully
someone else will speak to the correct terminology to use - I don't know it.

> From: Kenichi Handa Sent: Sunday, June 14, 2009 11:43 PM
> +Characters are composed relatively, i.e. composed by overstriking
> +or stacking depending on ascent, descent and other metrics values
> +of glyphs.

"other metrics" or "other metric values"

> +For instance, if the region has three characters \"XYZ\", X is
> +regarded as BASE glyph, and Y is displayed:
> +  (1) above BASE if Y's descent is not positive,
> +  (2) below BASE if Y's ascent is not positive,

I wonder if "descent" and "ascent" shouldn't be "descender" and "ascender" or
something like that? Need to check with someone who knows typography
terminology, unless you're sure about "descent" and "ascent".

> +  (3) over BASE (at the same position of BASE) otherwise.

"on BASE" or "at BASE" or "on top of BASE" or "at the BASE position"

> +and Z is displayed with the same rule while regarding the whole
> +XY glyphs as BASE.
>  
>  When called from a program, expects these four arguments.

Sounds good. Without that, I understood nothing. Now, I understand a little.
Thx.